de.esprit.appsuite.transl

## Enum TrEasConfirm

- java.lang.Object
- - java.lang.Enum<TrEasConfirm>
  - - de.esprit.appsuite.transl.TrEasConfirm

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEasConfirm>

      public enum TrEasConfirm
      extends java.lang.Enum<TrEasConfirm>
      implements NlsKey

  Translations for confirmation messages
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARCHIVE_CREATE_FILE_0_EXISTS`
    `ARE_YOU_SURE`
    `CONTINUE_ANYWAY`
    `DELETE_FILE_0`
    `DELETE_GROUP_0`
    `DELETE_RECORD`
    `DELETE_USER_0`
    `DISCARD_CHANGES`
    `EXIT_ANYWAY`
    `OVERRIDE_FILE`
    `SURE_TO_EXIT`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEasConfirm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasConfirm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### DISCARD_CHANGES

          public static final TrEasConfirm DISCARD_CHANGES

    - #### DELETE_RECORD

          public static final TrEasConfirm DELETE_RECORD

    - #### SURE_TO_EXIT

          public static final TrEasConfirm SURE_TO_EXIT

    - #### OVERRIDE_FILE

          public static final TrEasConfirm OVERRIDE_FILE

    - #### ARE_YOU_SURE

          public static final TrEasConfirm ARE_YOU_SURE

    - #### EXIT_ANYWAY

          public static final TrEasConfirm EXIT_ANYWAY

    - #### CONTINUE_ANYWAY

          public static final TrEasConfirm CONTINUE_ANYWAY

    - #### DELETE_GROUP_0

          public static final TrEasConfirm DELETE_GROUP_0

    - #### DELETE_USER_0

          public static final TrEasConfirm DELETE_USER_0

    - #### DELETE_FILE_0

          public static final TrEasConfirm DELETE_FILE_0

    - #### ARCHIVE_CREATE_FILE_0_EXISTS

          public static final TrEasConfirm ARCHIVE_CREATE_FILE_0_EXISTS

  - ### Method Detail

    - #### values

          public static TrEasConfirm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasConfirm c : TrEasConfirm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasConfirm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.